com.jogamp.opengl

## Class GenericGLCapabilitiesChooser

- java.lang.Object
- - javax.media.opengl.DefaultGLCapabilitiesChooser
  - - com.jogamp.opengl.GenericGLCapabilitiesChooser

- All Implemented Interfaces:
    CapabilitiesChooser, GLCapabilitiesChooser

      public class GenericGLCapabilitiesChooser
      extends DefaultGLCapabilitiesChooser

  Ignores windowSystemRecommendedChoice parameter, otherwise uses `DefaultGLCapabilitiesChooser` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericGLCapabilitiesChooser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `chooseCapabilities(CapabilitiesImmutable desired, List<? extends CapabilitiesImmutable> available, int windowSystemRecommendedChoice)` Chooses the index (0..available.length - 1) of the `Capabilities` most closely matching the desired one from the list of all supported.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericGLCapabilitiesChooser

          public GenericGLCapabilitiesChooser()

  - ### Method Detail

    - #### chooseCapabilities

          public int chooseCapabilities(CapabilitiesImmutable desired,
                               List<? extends CapabilitiesImmutable> available,
                               int windowSystemRecommendedChoice)

      Description copied from interface: `CapabilitiesChooser`
      Chooses the index (0..available.length - 1) of the `Capabilities` most closely matching the desired one from the list of all supported. Some of the entries in the `available` array may be null; the chooser must ignore these. The windowSystemRecommendedChoice parameter may be provided to the chooser by the underlying window system; if this index is valid, it is recommended, but not necessarily required, that the chooser select that entry.

      Note: this method is called automatically by the `GraphicsConfigurationFactory.chooseGraphicsConfiguration(javax.media.nativewindow.CapabilitiesImmutable, javax.media.nativewindow.CapabilitiesImmutable, javax.media.nativewindow.CapabilitiesChooser, javax.media.nativewindow.AbstractGraphicsScreen, int)` method when an instance of this class is passed in to it. It should generally not be invoked by users directly, unless it is desired to delegate the choice to some other CapabilitiesChooser object.

      Specified by:
        `chooseCapabilities` in interface `CapabilitiesChooser`
      Overrides:
        `chooseCapabilities` in class `DefaultGLCapabilitiesChooser`

Copyright 2010 JogAmp Community.